sfxinfo[sfx_cdfm47].caption = "Place trap" //for Egg Robo "lay mine"
sfxinfo[sfx_s3ka0].caption = "Whoosh" //for Egg Robo rise
sfxinfo[sfx_s3ka0].flags = SF_X2AWAYSOUND


freeslot(
	'mt_jetdummy',
	's_eggrobotag1',
	's_eggrobotag2',
	'spr_egr2',
	's_eggrobodead',
	'mt_eggrobotagcharge',
	'mt_eggrobotagshot',
	'mt_eggrobotagshot2',
	'mt_eggrobotagbomb',
	's_eggrobotagshot',
	'spr_egrl',
	'mt_eggrobotaggiblet',
	's_eggrobotaggiblet1',
	's_eggrobotaggiblet2',
	's_eggrobotaggiblet3',
	's_eggrobotaggiblet4',
	's_eggrobotaggiblet5',
	'spr_egrd',
	's_eggrobofire1',
	's_eggrobofire2',
	's_eggrobofire3',
	's_eggrobofire4',
	's_eggrobofire5',
	's_eggrobofire6',
	'spr_tfir'
)
	
//Egg mine object (Duplicate of bombsphere)

mobjinfo[MT_EGGROBOTAGBOMB] = {           // MT_BOMBSPHERE
	520,            // doomednum
	S_BOMBSPHERE1,  // spawnstate
	1000,           // spawnhealth
	S_NULL,         // seestate
	sfx_None,       // seesound
	MT_NULL,        // reactiontime
	sfx_None,       // attacksound
	S_NULL,         // painstate
	0,              // painchance
	sfx_None,       // painsound
	S_NULL,         // meleestate
	S_NULL,         // missilestate
	S_SONIC3KBOSSEXPLOSION1, // deathstate
	S_NULL,         // xdeathstate
	sfx_cybdth,     // deathsound
	38*FRACUNIT,    // speed
	16*FRACUNIT,    // radius
	24*FRACUNIT,    // height
	0,              // display offset
	100,            // mass
	0,              // damage
	sfx_None,       // activesound
	MF_SLIDEME|MF_SPECIAL|MF_NOGRAVITY|MF_NOCLIPHEIGHT, // flags
	S_NULL          // raisestate
}

//Team colored Elemental Shield fire trail

states[S_EGGROBOFIRE1] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|A,
	tics = 2,
	nextstate = S_EGGROBOFIRE2
}

states[S_EGGROBOFIRE2] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|B,
	tics = 2,
	nextstate = S_EGGROBOFIRE3
}

states[S_EGGROBOFIRE3] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|C,
	tics = 2,
	nextstate = S_EGGROBOFIRE4
}

states[S_EGGROBOFIRE4] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|D,
	tics = 2,
	nextstate = S_EGGROBOFIRE5
}

states[S_EGGROBOFIRE5] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|E,
	tics = 2,
	nextstate = S_EGGROBOFIRE6
}

states[S_EGGROBOFIRE6] = {
	sprite = SPR_TFIR,
	frame = FF_FULLBRIGHT|F,
	tics = 2,
	nextstate = S_EGGROBOFIRE1
}

//Dummy object for jet flames
mobjinfo[MT_JETDUMMY] = {
	spawnstate = 1,
	height = 32*FRACUNIT,
	radius = 24*FRACUNIT,
	flags = MF_NOGRAVITY|MF_NOSECTOR|MF_NOBLOCKMAP|MF_NOCLIPHEIGHT
}

//Egg Robo states
states[S_EGGROBOTAG1] = {
	sprite = SPR_EGR2,
	frame = A
}

states[S_EGGROBOTAG2] = {
	sprite = SPR_EGR2,
	frame = B
}

states[S_EGGROBODEAD] = {
	sprite = SPR_EGR2,
	frame = C
}

//Egg Robo laser telegraph
mobjinfo[MT_EGGROBOTAGCHARGE] = {
	spawnstate = S_ENERGYBALL1,
	seestate = S_ENERGYBALL1,
	meleestate = S_ENERGYBALL1,
	missilestate = S_ENERGYBALL1,
	height = 64*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT|MF_NOGRAVITY|MF_SCENERY
}

//Egg Robo laser
mobjinfo[MT_EGGROBOTAGSHOT] = {
	spawnstate = S_EGGROBOTAGSHOT,
	spawnhealth = 1000,
	reactiontime = 8,
	speed = 30*FRACUNIT,
	radius = 12*FRACUNIT,
	height = 16*FRACUNIT,
	mass = 0,
	damage = 0,
	flags = MF_MISSILE|MF_NOGRAVITY|MF_NOBLOCKMAP
}

//Egg Robo laser
mobjinfo[MT_EGGROBOTAGSHOT2] = {
	spawnstate = S_ENERGYBALL1,
	spawnhealth = 1000,
	reactiontime = 8,
	speed = 60*FRACUNIT,
	radius = 64*FRACUNIT,
	height = 128*FRACUNIT,
	mass = 0,
	damage = 0,
	flags = MF_MISSILE|MF_NOGRAVITY|MF_NOBLOCKMAP
}

states[S_EGGROBOTAGSHOT] = {
	sprite = SPR_EGRL,
	frame = A
}

//Egg Robo death limbs
mobjinfo[MT_EGGROBOTAGGIBLET] = {
	spawnstate = S_EGGROBOTAGGIBLET1,
	flags = MF_BOUNCE|MF_GRENADEBOUNCE
}

states[S_EGGROBOTAGGIBLET1] = {
	sprite = SPR_EGRD,
	frame = A
}

states[S_EGGROBOTAGGIBLET2] = {
	sprite = SPR_EGRD,
	frame = B
}

states[S_EGGROBOTAGGIBLET3] = {
	sprite = SPR_EGRD,
	frame = C
}

states[S_EGGROBOTAGGIBLET4] = {
	sprite = SPR_EGRD,
	frame = D
}

states[S_EGGROBOTAGGIBLET5] = {
	sprite = SPR_EGRD,
	frame = E
}
