local T = CBW_EggRoboTag

T.DebugHUD = function(v, player, cam)
	if not(T.CV_Debug.value) then return end
	local xoffset = 320
	local yoffset = 1
	local flags = V_HUDTRANS|V_SNAPTOTOP|V_SNAPTORIGHT|V_PERPLAYER
	local align = "small-right"
	local nextline = 4
	//Double the scale for smaller screens (illegible otherwise)
	if v.height() < 400 then 
		align = "right"
		nextline = 8
	end
	local addspace = function()
		yoffset = $+nextline
	end
	local addline = function(string,string2)
		string = "\x86"+tostring($)+": \x80"+tostring(string2)
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local addheader = function(string)
		yoffset = $+nextline
		string = "\x82"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	local subheader = function(string)
		string = "\x88"+string
		v.drawString(xoffset,yoffset,string,flags,align)
		yoffset = $+nextline
	end
	//****
	//Execute drawing
	if player and player.valid then
		addline("IsEggRobo",player.iseggrobo)
		addline("laser state",player.ert_state)
		addline("laser tics",player.ert_tics)
		addline("laser v-aim",player.ert_aimy)
		addline("laser charged",player.ert_charged)
		addline("bomb cooldown",player.ert_cooldown)
	end
end
hud.add(T.DebugHUD, player)