local T = CBW_EggRoboTag

//Initialize button history
local init_buttons = function(player)
	if player.ert_buttonhistory == nil then
		player.ert_buttonhistory = player.cmd.buttons
	end	
end

addHook("PreThinkFrame",do
	for player in players.iterate
		init_buttons(player)
		T.EggPreThink(player)
	end
end)
addHook("PlayerSpawn",init_buttons)
addHook("PlayerSpawn",T.EggReset)

//Player Visuals
addHook("ThinkFrame",do
	for player in players.iterate
		if not(player.mo) then return end
		T.EggDisplayControl(player.mo)
	end
end)

//Player Mechanics, Input
addHook("PlayerThink",T.EggPlayerThink)

addHook("JumpSpecial",T.EggJumpControl)

addHook("SpinSpecial",T.EggSpinControl)

//Update history
addHook("PostThinkFrame",do
	for player in players.iterate
		player.ert_buttonhistory = player.cmd.buttons
	end
end)